---
title: RTCNetworkType
slug: Web/API/RTCNetworkType
tags:
  - API
  - Connection
  - Enum
  - Enumerated Type
  - Enumeration
  - Network
  - RTCNetworkType
  - Reference
  - Statistics
  - Stats
  - Type
  - WebRTC
  - WebRTC API
  - networkType
  - Obsolete
---
<p>{{obsolete_header}}{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a> <code><strong>RTCNetworkType</strong></code> enumerated type defines a set of strings used to identify the type of network used by a connection between two peers.</span> This type is used as the value or the following properties:</p>

<ul>
 <li>{{domxref("RTCIceCandidate")}}'s {{domxref("RTCIceCandidateStats.networkType", "networkType")}}</li>
 <li>{{domxref("RTCStunServerConnectionStats")}}'s {{domxref("RTCStunServerConnectionStats.networkType", "networkType")}}</li>
</ul>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>bluetooth</code></dt>
 <dd>A Bluetooth connection is used by the described connection.</dd>
 <dt><code>cellular</code></dt>
 <dd>The connection uses a cellular data service to connect. This includes all cellular data services including EDGE (2G), HSPA (3G), LTE (4G), and NR (5G).</dd>
 <dt><code>ethernet</code></dt>
 <dd>The described connection uses an Ethernet network.</dd>
 <dt><code>wifi</code></dt>
 <dd>The described connection uses WiFi.</dd>
 <dt><code>wimax</code></dt>
 <dd>The described connection uses a {{interwiki("wikipedia", "WiMAX")}} network.</dd>
 <dt><code>vpn</code></dt>
 <dd>The connection uses a Virtual Private Network (VPN). The VPN obscures the underlying network type, which is not discernible.</dd>
 <dt><code>unknown</code></dt>
 <dd>The user's browser is unable or unwilling to identify the underlying connection technology used by the described connection. This may be because the browser isn't able to determine the network type for some reason or it may be intentionally getting obscured for security reasons, such as to avoid {{interwiki("wikipedia", "device fingerprinting")}}.</dd>
</dl>

<div class="notecard note">
<p><strong>Note:</strong> Keep in mind that the specified value only reflects the initial connection between the local peer and the next hop along the network toward reaching the remote peer. For example, if the <code>networkType</code> is <code>wifi</code> but the user is connected using a cellular hotspot, the connection will be bottlenecked by the underlying cellular network (and any other networks between the two peers).</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtcnetworktype-enum', 'RTCNetworkType')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCNetworkType")}}</p>
</div>
